#include <stderror.mqh>
#include <stdlib.mqh>

#define NL                 "\n"    
#define TAB                "\t"

extern double ProfitTarget = 0.10;
extern double LossTarget = -0.10;
extern bool EmailCommunication = true;
bool InitVar = true;
bool DoOnce = false;
string SubjectLine = "A simple rule to follow when posting";
string Body = "I will not post the same question in multiple threads";
int err;

int init()
{
   return(0);
}


int start()
{

  if(InitVar)
   {   
      InitVar = false; 
      DoOnce = true;     // <---- only send one email
   } 
  
  double Profit=AccountProfit();
  Comment("Account Profit is ",DoubleToStr(Profit,2),"\n","Profit Target is ",DoubleToStr(ProfitTarget,2),"\n" ,"Loss Target is ",DoubleToStr(LossTarget,2));

  if((Profit>=ProfitTarget)||(Profit<=LossTarget)) //<--- comment out to test email and alert
     if(DoOnce)
     {
        DoOnce = false;
        if(EmailCommunication)
        {      
           SendMail(SubjectLine, TAB + Body + NL + "Account Profit\Loss is " + DoubleToStr(Profit,2)); //<---- email must be set up in option for sendmail() to work
           Alert("Email sent" + " Account Profit\Loss is ",DoubleToStr(Profit,2));
        }
     }

return(0);
}



